Subject: Re: pull request: wireless-next-2.6 2009-10-28

From: "John W. Linville" <[email-masked]>
Date: Mon, 2 Nov 2009 12:01:15 -0500

On Mon, Nov 02, 2009 at 11:07:02AM +0100, Ingo Molnar wrote:
> 
> * Johannes Berg <[email-masked]> wrote:
> 
> > On Mon, 2009-11-02 at 10:10 +0100, Ingo Molnar wrote:
> > 
> > > So i have read the thread you and Bartlomiej referenced:
> > > 
> > >     http://lkml.org/lkml/2009/10/17/81
> > > 
> > > ... and my understanding of that discussion is very different from 
> > > yours. Here is my annotated history of the beginnings of that 
> > > discussion:
> > 
> > [snip]
> > 
> > You shouldn't ignore all previous interaction between Bart and us -- 
> > which wasn't pretty: http://thread.gmane.org/gmane.linux.kernel/901892
> 
> I have seen that exchange too - here's the lkml.org link for those who 
> like the lkml.org format:
> 
>    http://lkml.org/lkml/2009/10/13/186
> 
> And i can see no supporting fact here either, for the (very serious) 
> accusation launched by John Linville, that Bartlomiej is 'petty, 
> whining, indignant'. In my reading he is the opposite of that, even in 
> this second thread you point out.

Again, you seem to be very generous to Bartlomiej and very critical of
the rest of us in your readings.

> So, no matter how much you disagree about the code and its direction, 
> please either back up your assertion with specific links to a pattern of 
> misbehavior or apologize for the ad-hominen attacks against Bartlomiej.

His behavior is evident in the threads you cited.  How you do not
see that is a mystery.

> > Of course we were biased when he came around with that petty code 
> > duplication argument, since it seemed to support only his agenda of 
> > working only with the staging drivers.
> 
> Why do you think that disagreeing in the past gives you the right to get 
> into ad-hominens? You should concentrate on the code and on the 
> technical side, not on the person making the argument.
> 
> Also, why do you characterise a code duplication argument as 'petty'?

Did you actually look at the thread?  Or did you simply here "code
duplication" and run with it?
 
> Bloat and unnecessary technical forking is the #1 enemy of Linux. 
> Integrating code and infrastructure is the #1 strength of Linux.
> 
> Upstream subsystems/drivers running away with their private 
> implementations has its clear costs:

...which has nothing to do with the case at hand.  Please do not
perpetuate this myth.  If anything, your argument applies far more
to the drivers in staging that Bartlomiej has focused his attention
upon until recently.

<snip>

> [ I dont know why drivers/staging/ is even an argument here - he argued
>   about the technical qualities of a new upstream driver, not about a
>   staging driver. Upstream drivers are to be held to higher standards,
>   _especially_ now that we can isolate not-clean-enough-yet drivers into
>   drivers/staging/, without hurting users. ]

If you had been keeping-up, you would realize that Bartlomiej is upset
about our criticisms of the Ralink drivers in staging.  That would seem
to be the reason he has made himself such an irritant in linux-wireless
over the past few weeks.

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html